#pragma once
#include <map>
struct M_ActivityTouchingFishRankData
{
	//编号
	int mID;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具
	std::vector<int> mItemID;
	//奖励数量
	std::vector<int> mItemCount;
	//奖励道具
	std::vector<int> mItemIDDouble;
	//奖励数量
	std::vector<int> mItemCountDouble;
};

class M_ActivityTouchingFishRank
{
public:
private:
	static std::auto_ptr<M_ActivityTouchingFishRank> msSingleton;
public:
	int GetCount();
	const M_ActivityTouchingFishRankData* GetData(int ID);
	const std::map<int, M_ActivityTouchingFishRankData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityTouchingFishRank* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityTouchingFishRankData> mMapData;
};
